+++
title = "Dawn Showcase"
date = 2022-05-07
[taxonomies]
tags = ["zola", "theme", "showcase"]
+++

Hi! This is a Showcase of the `Dawn` theme.

Code:  

```rust,linenos
use std::error::Error;

#[derive(Debug)]
struct Test {
    pub lang: String,
    pub content: String
}

fn main() -> Result<(), Box<dyn Error>> {
    let a = Test {
        lang: "en".to_string(),
        content: "content".to_string()
    };
    println!("{:?}", a);
    Ok(())
}

```


Inline code: `print("Hi")`  

Typography:

*Italic*, **Bold**, _**Italic Bold**_, [link](#)

# Header 1
## Header 2
### Header 3
#### Header 4

Quote:

> The world isn't perfect. But it's there for us, doing the best it can.
That's what makes it so damn beautiful.

Lists

 - A
 - B

 1. a
 2. b
 3. c

Horizontal line:

 ---

Here the post summary ends.

 <!-- more -->

fin post summary

Latex: 

$$ \partial\partial\partial $$

{{ katex(body="3 + 4") }}

{{ katex(block=true, body="\KaTeX") }}

Images:

{{ image(src="/ferris.png", alt="Ferris", position="right", style="width: 20%; height: 20%;") }}

Tikz:   

{{ tikz(style="width: 20%; height: 20%;" position="center" body="\begin{tikzpicture}\draw (0,0) circle (1in);\end{tikzpicture}") }}
